#!/usr/bin/perl
use IPC::Open2;
use Symbol;
use POSIX ":sys_wait_h";

my $user = $ARGV[0];
my $qname = $ARGV[1];

$qname = uc $qname;

$WTR = gensym();
$RDR = gensym();

$pid = open2($RDR, $WTR, 'runmqsc');
print $WTR "DEFINE QLOCAL($qname)\n";
print $WTR "dis queue($queuename)\n";
close($WTR);
while(<$RDR>) {
    print STDOUT "$_";
}
close($RDR);

$| = 1;
select STDOUT;
print STDOUT "Attempting to give user $user access to $qname queue\n";
open AUT, "setmqaut -n $qname -t queue -p $user +put +get +browse |";
print <AUT>;
close $AUT; 

